- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::Math::Rotation3D Struct Reference
Types

A Rotation3D give 3 composed angles in radians. More...

`#include <alrotation3d.h>`

## Public Member Functions
| Rotation3D ()
| Create a Rotation3D initialized with 0.0f. More...
| Rotation3D (float pInit)
| Create a Rotation3D initialized with the same float. More...
| Rotation3D (float pWx, float pWy, float pWz)
| Create a Rotation3D initialized with explicit value. More...
| Rotation3D (const std::vector< float > &pFloats)
| Create a Rotation3D with an std::vector. More...
Rotation3D | operator+ (const Rotation3D &pRot2) const
| Overloading of operator + for Rotation3D. More...
Rotation3D | operator- (const Rotation3D &pRot2) const
| Overloading of operator - for Rotation3D. More...
Rotation3D & | operator+= (const Rotation3D &pRot2)
| Overloading of operator += for Rotation3D. More...
Rotation3D & | operator-= (const Rotation3D &pRot2)
| Overloading of operator -= for Rotation3D. More...
bool | operator== (const Rotation3D &pRot2) const
| Overloading of operator == for Rotation3D. More...
bool | operator!= (const Rotation3D &pRot2) const
| Overloading of operator != for Rotation3D. More...
Rotation3D | operator* (const float pVal) const
| Overloading of operator * for Rotation3D. More...
Rotation3D | operator/ (const float pVal) const
| Overloading of operator / for Rotation3D. More...
Rotation3D & | operator*= (const float pVal)
| Overloading of operator *= for Rotation3D. More...
Rotation3D & | operator/= (const float pVal)
| Overloading of operator /= for Rotation3D. More...
bool | isNear (const Rotation3D &pRot2, const float &pEpsilon=0.0001f) const
| Check if the actual Rotation3D is near the one given in argument. More...
float | norm () const
| Compute the norm of the actual Position6D: More...
void | toVector (std::vector< float > &pReturnVector) const
| Return the Rotation3D as a vector of float [wx, wy, wz]. More...
std::vector< float > | toVector (void) const

## Public Attributes
float | wx
float | wy
float | wz

## Detailed Description

A Rotation3D give 3 composed angles in radians.

Definition at line 22 of file alrotation3d.h.

## Constructor & Destructor Documentation

AL::Math::Rotation3D::Rotation3D | ( |  | ) |

Create a Rotation3D initialized with 0.0f.

AL::Math::Rotation3D::Rotation3D | ( | float | pInit | ) |
| explicit

Create a Rotation3D initialized with the same float.

Parameters

  pInit | the float value for each member

AL::Math::Rotation3D::Rotation3D | ( | float | pWx,
|  | float | pWy,
|  | float | pWz
| ) |  |

Create a Rotation3D initialized with explicit value.

Parameters

  pWx | the float value for wx
  pWy | the float value for wy
  pWz | the float value for wz

AL::Math::Rotation3D::Rotation3D | ( | const std::vector< float > & | pFloats | ) |

Create a Rotation3D with an std::vector.

Parameters

  pFloats | An std::vector<float> of size 3 for respectively: wx, wy and wz

## Member Function Documentation

bool AL::Math::Rotation3D::isNear | ( | const Rotation3D & | pRot2,
|  | const float & | pEpsilon = `0.0001f`
| ) |  | const

Check if the actual Rotation3D is near the one given in argument.

Parameters

  pRot2 | the second Rotation3D
  pEpsilon | an optional epsilon distance

Returns
  true if the difference of each float of the two Rotation3D is less than pEpsilon

float AL::Math::Rotation3D::norm | ( |  | ) | const

Compute the norm of the actual Position6D:

Returns
  the float norm of the Position6D

bool AL::Math::Rotation3D::operator!= | ( | const Rotation3D & | pRot2 | ) | const

Overloading of operator != for Rotation3D.

Parameters

  pRot2 | the second Rotation3D

Rotation3D AL::Math::Rotation3D::operator* | ( | const float | pVal | ) | const
| inline

Overloading of operator * for Rotation3D.

Parameters

  pVal | the float factor

Definition at line 166 of file alrotation3d.h.

Rotation3D& AL::Math::Rotation3D::operator*= | ( | const float | pVal | ) |

Overloading of operator *= for Rotation3D.

Parameters

  pVal | the float factor

Rotation3D AL::Math::Rotation3D::operator+ | ( | const Rotation3D & | pRot2 | ) | const
| inline

Overloading of operator + for Rotation3D.

Parameters

  pRot2 | the second Rotation3D

Definition at line 118 of file alrotation3d.h.

Rotation3D& AL::Math::Rotation3D::operator+= | ( | const Rotation3D & | pRot2 | ) |

Overloading of operator += for Rotation3D.

Parameters

  pRot2 | the second Rotation3D

Rotation3D AL::Math::Rotation3D::operator- | ( | const Rotation3D & | pRot2 | ) | const
| inline

Overloading of operator - for Rotation3D.

Parameters

  pRot2 | the second Rotation3D

Definition at line 130 of file alrotation3d.h.

Rotation3D& AL::Math::Rotation3D::operator-= | ( | const Rotation3D & | pRot2 | ) |

Overloading of operator -= for Rotation3D.

Parameters

  pRot2 | the second Rotation3D

Rotation3D AL::Math::Rotation3D::operator/ | ( | const float | pVal | ) | const

Overloading of operator / for Rotation3D.

Parameters

  pVal | the float factor

Rotation3D& AL::Math::Rotation3D::operator/= | ( | const float | pVal | ) |

Overloading of operator /= for Rotation3D.

Parameters

  pVal | the float factor

bool AL::Math::Rotation3D::operator== | ( | const Rotation3D & | pRot2 | ) | const

Overloading of operator == for Rotation3D.

Parameters

  pRot2 | the second Rotation3D

void AL::Math::Rotation3D::toVector | ( | std::vector< float > & | pReturnVector | ) | const

Return the Rotation3D as a vector of float [wx, wy, wz].

std::vector<float> AL::Math::Rotation3D::toVector | ( | void |  | ) | const

## Member Data Documentation

float AL::Math::Rotation3D::wx

Definition at line 24 of file alrotation3d.h.

float AL::Math::Rotation3D::wy

Definition at line 26 of file alrotation3d.h.

float AL::Math::Rotation3D::wz

Definition at line 28 of file alrotation3d.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/types/alrotation3d.h